package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.x9.X9ObjectIdentifiers;

public interface SECObjectIdentifiers {
   DERObjectIdentifier ellipticCurve;
   DERObjectIdentifier sect163k1;
   DERObjectIdentifier sect163r1;
   DERObjectIdentifier sect239k1;
   DERObjectIdentifier sect113r1;
   DERObjectIdentifier sect113r2;
   DERObjectIdentifier secp112r1;
   DERObjectIdentifier secp112r2;
   DERObjectIdentifier secp160r1;
   DERObjectIdentifier secp160k1;
   DERObjectIdentifier secp256k1;
   DERObjectIdentifier sect163r2;
   DERObjectIdentifier sect283k1;
   DERObjectIdentifier sect283r1;
   DERObjectIdentifier sect131r1;
   DERObjectIdentifier sect131r2;
   DERObjectIdentifier sect193r1;
   DERObjectIdentifier sect193r2;
   DERObjectIdentifier sect233k1;
   DERObjectIdentifier sect233r1;
   DERObjectIdentifier secp128r1;
   DERObjectIdentifier secp128r2;
   DERObjectIdentifier secp160r2;
   DERObjectIdentifier secp192k1;
   DERObjectIdentifier secp224k1;
   DERObjectIdentifier secp224r1;
   DERObjectIdentifier secp384r1;
   DERObjectIdentifier secp521r1;
   DERObjectIdentifier sect409k1;
   DERObjectIdentifier sect409r1;
   DERObjectIdentifier sect571k1;
   DERObjectIdentifier sect571r1;
   DERObjectIdentifier secp192r1;
   DERObjectIdentifier secp256r1;

   static {
      DERObjectIdentifier var0;
      DERObjectIdentifier var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.3.132.0");
      ellipticCurve = var10000;
      sect163k1 = new DERObjectIdentifier(var0 + ".1");
      sect163r1 = new DERObjectIdentifier(var0 + ".2");
      sect239k1 = new DERObjectIdentifier(var0 + ".3");
      sect113r1 = new DERObjectIdentifier(var0 + ".4");
      sect113r2 = new DERObjectIdentifier(var0 + ".5");
      secp112r1 = new DERObjectIdentifier(var0 + ".6");
      secp112r2 = new DERObjectIdentifier(var0 + ".7");
      secp160r1 = new DERObjectIdentifier(var0 + ".8");
      secp160k1 = new DERObjectIdentifier(var0 + ".9");
      secp256k1 = new DERObjectIdentifier(var0 + ".10");
      sect163r2 = new DERObjectIdentifier(var0 + ".15");
      sect283k1 = new DERObjectIdentifier(var0 + ".16");
      sect283r1 = new DERObjectIdentifier(var0 + ".17");
      sect131r1 = new DERObjectIdentifier(var0 + ".22");
      sect131r2 = new DERObjectIdentifier(var0 + ".23");
      sect193r1 = new DERObjectIdentifier(var0 + ".24");
      sect193r2 = new DERObjectIdentifier(var0 + ".25");
      sect233k1 = new DERObjectIdentifier(var0 + ".26");
      sect233r1 = new DERObjectIdentifier(var0 + ".27");
      secp128r1 = new DERObjectIdentifier(var0 + ".28");
      secp128r2 = new DERObjectIdentifier(var0 + ".29");
      secp160r2 = new DERObjectIdentifier(var0 + ".30");
      secp192k1 = new DERObjectIdentifier(var0 + ".31");
      secp224k1 = new DERObjectIdentifier(var0 + ".32");
      secp224r1 = new DERObjectIdentifier(var0 + ".33");
      secp384r1 = new DERObjectIdentifier(var0 + ".34");
      secp521r1 = new DERObjectIdentifier(var0 + ".35");
      sect409k1 = new DERObjectIdentifier(var0 + ".36");
      sect409r1 = new DERObjectIdentifier(var0 + ".37");
      sect571k1 = new DERObjectIdentifier(var0 + ".38");
      sect571r1 = new DERObjectIdentifier(var0 + ".39");
      secp192r1 = X9ObjectIdentifiers.prime192v1;
      secp256r1 = X9ObjectIdentifiers.prime256v1;
   }
}
